MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000141SoldatOtherpublic2011-12-17 00:482014-01-09 17:42
ReporterTheOne 
Assigned Toskoskav 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSGentooOS Version
Product Version1.6.2 
Target VersionFixed in Version1.6.4 
Summary0000141: FireInterval preventing damage
DescriptionUsed Soccom for testing. FireInterval=5 prevents damaging in 2 out of 3 cases.
FireInterval=10 worked fine.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001643)
skoskav (developer)
2012-12-05 14:49

I think I fixed this... mostly.

Weapons with FireInterval <= 5 aren't networked the same as the other weapons, and would suffer from up to 66 milliseconds of delay before notifying the server of the weapon firing. I'm guessing this coupled with fast movement and some lag might have been the culprit.

- Issue History
Date Modified Username Field Change
2011-12-17 00:48 TheOne New Issue
2012-12-01 22:54 Falcon Status new => confirmed
2012-12-03 08:02 skoskav Assigned To => skoskav
2012-12-03 08:02 skoskav Status confirmed => assigned
2012-12-05 14:49 skoskav Note Added: 0001643
2012-12-05 14:49 skoskav Status assigned => resolved
2012-12-05 14:49 skoskav Fixed in Version => 1.6.4
2012-12-05 14:49 skoskav Resolution open => fixed
2014-01-09 17:42 homerofgods Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker